---@meta

---@class UWG_EditableText_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_MenuButton UWG_MenuButton_C
---@field TextBox UEditableTextBox
---@field OnTextChanged FWG_EditableText_COnTextChanged
---@field Keyboard UBP_VirtualKeyboardUMG_C
---@field KeyboardPopup UWG_PopupKeyboard_C
local UWG_EditableText_C = {}

---@param newText FText
function UWG_EditableText_C:OnTextUpdatedFromKeyboard(newText) end
function UWG_EditableText_C:OnKeyboardDone() end
---@param Widget UCommonActivatableWidget
function UWG_EditableText_C:InitKeyboardWidget(Widget) end
function UWG_EditableText_C:Construct() end
---@param Button UCommonButtonBase
function UWG_EditableText_C:BndEvt__WG_EditableText_WG_MenuButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param bNewInputType ECommonInputType
function UWG_EditableText_C:CustomEvent(bNewInputType) end
---@param Text FText
function UWG_EditableText_C:BndEvt__WG_EditableText_TextBox_K2Node_ComponentBoundEvent_1_OnEditableTextBoxChangedEvent__DelegateSignature(Text) end
---@param EntryPoint int32
function UWG_EditableText_C:ExecuteUbergraph_WG_EditableText(EntryPoint) end
---@param newText FText
function UWG_EditableText_C:OnTextChanged__DelegateSignature(newText) end


